Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class RoutingStep

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.RoutingStep

Deprecated. in swift 5.0.0 and removed in 6.0.0

    public class RoutingStep

extends java.lang.Object

Wrapper class for SAG C++ RoutingStep class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`RoutingStep()` Deprecated. Creates a new instance of RoutingStep
`RoutingStep(RoutingStep orig)` Deprecated.

Method Summary
`void` | `free()` Deprecated. Method free.
`java.lang.String` | `getPlugIn()` Deprecated.
`java.lang.String` | `getPrimitive()` Deprecated.
`int` | `getVisit()` Deprecated.
`void` | `setPlugIn(java.lang.String sPlugIn)` Deprecated.
`void` | `setPrimitive(java.lang.String sPrimitive)` Deprecated.
`void` | `setVisit(int visit)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutingStep

    public RoutingStep()

  Deprecated.
  Creates a new instance of RoutingStep

### RoutingStep

    public RoutingStep(RoutingStep orig)

  Deprecated.

Method Detail

### free

    public void free()

  Deprecated.
  Method free.

### setVisit

    public void setVisit(int visit)

  Deprecated.

### getVisit

    public int getVisit()

  Deprecated.

### setPlugIn

    public void setPlugIn(java.lang.String sPlugIn)

  Deprecated.

### getPlugIn

    public java.lang.String getPlugIn()

  Deprecated.

### setPrimitive

    public void setPrimitive(java.lang.String sPrimitive)

  Deprecated.

### getPrimitive

    public java.lang.String getPrimitive()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.